USB_GADGET_REGI(9)

NAME
usb_gadget_register_driver - register a gadget driver

SYNOPSIS

int usb_gadget_register_driver (struct usb_gadget_driver * driver);

ARGUMENTS

driver
    the driver being registered

DESCRIPTION

Call this in your gadget driver's module initialization function, to tell the underlying usb controller driver about your driver. The driver's bind function will be called to bind it to a gadget. This function must be called in a context that can sleep.

AUTHOR
David Brownell <dbrownell@users.sourceforge.net>.